# Transfer funds

Transfer funds between your accounts.

Endpoint: POST /accounts/transfer
Version: v1
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Header parameters:

  - `WP-CorrelationId` (string)

## Request fields (application/json):

  - `sourceAccountNumber` (string)
    The 16-digit transfer source account number.

  - `targetAccountNumber` (string)
    A 16-digit transfer destination account number.

  - `amount` (number)
    A decimal value for the transfer. Currency is defined by the source account currency.

  - `narrative` (string)
    A description about the transfer.

  - `quoteId` (string)
    The ID of the quote of an exchange rate for the transfer. Not currently used - can set as empty guid value (all zeros).

## Request examples:

  - `/accouts/transfer` (unknown)
    Transfer money between accounts.

## Response 202:

  - `202` (unknown)
    Accepted

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.jsonPath` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 500:

  - `500` (unknown)
    Server Error

## Response 500 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 400 examples:

  - `Bad request` (unknown)

## Response 401 examples:

  - `Unauthorized` (unknown)

## Response 403 examples:

  - `Forbidden` (unknown)

## Response 404 examples:

  - `Not Found` (unknown)

## Response 500 examples:

  - `Server Error` (unknown)

